Get Bastion Shareable Link - Get Bastion Shareable Link

Return the Bastion Shareable Links for all the VMs specified in the request.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}/getShareableLinks?api-version=2025-05-01

URI Parameters

Name In Required Type Description
bastionHostName
path True

string

The name of the Bastion Host.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
vms

BastionShareableLink[]

List of VM references.

Responses

Name Type Description
200 OK

BastionShareableLinkListResult

Azure operation completed successfully.

Other Status Codes

Common.CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/bastionHosts/bastionhosttenant/getShareableLinks?api-version=2025-05-01

{
  "vms": [
    {
      "vm": {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgx/providers/Microsoft.Compute/virtualMachines/vm1"
      }
    },
    {
      "vm": {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgx/providers/Microsoft.Compute/virtualMachines/vm2"
      }
    }
  ]
}

Sample response

{
  "value": [
    {
      "bsl": "http://bst-bastionhostid.bastion.com/api/shareable-url/tokenvm1",
      "createdAt": "2019-10-18T12:00:00.0000Z",
      "vm": {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgx/providers/Microsoft.Compute/virtualMachines/vm1"
      }
    },
    {
      "bsl": "http://bst-bastionhostid.bastion.com/api/shareable-url/tokenvm2",
      "createdAt": "2019-10-17T12:00:00.0000Z",
      "vm": {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgx/providers/Microsoft.Compute/virtualMachines/vm2"
      }
    }
  ]
}

Definitions

Name Description
BastionShareableLink

Bastion Shareable Link.

BastionShareableLinkListRequest

Post request for Create/Delete/Get Bastion Shareable Link endpoints.

BastionShareableLinkListResult

Response for all the Bastion Shareable Link endpoints.

Common.CloudError

An error response from the service.

Common.CloudErrorBody

An error response from the service.

VM

Describes a Virtual Machine.

Bastion Shareable Link.

Name Type Description
bsl

string

The unique Bastion Shareable Link to the virtual machine.

createdAt

string

The time when the link was created.

message

string

Optional field indicating the warning or error message related to the vm in case of partial failure.

vm

VM

Reference of the virtual machine resource.

BastionShareableLinkListRequest

Post request for Create/Delete/Get Bastion Shareable Link endpoints.

Name Type Description
vms

BastionShareableLink[]

List of VM references.

BastionShareableLinkListResult

Response for all the Bastion Shareable Link endpoints.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

BastionShareableLink[]

The BastionShareableLink items on this page

Common.CloudError

An error response from the service.

Name Type Description
error

Common.CloudErrorBody

Cloud error body.

Common.CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

Common.CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

VM

Describes a Virtual Machine.

Name Type Description
id

string

Resource ID.

location

string

Resource location.

name

string

Resource name.

tags

object

Resource tags.

type

string

Resource type.